LINUX.ORG.RU

Использование в Debian самой новой фирмвари для wi-fi карточки

 , ,


0

1

Добрый день! У меня есть Wi-Fi карточка, которая требует firmware. Последняя версия, доступная в Debian - /lib/firmware/iwlwifi-7265D-16.ucode, а в git ядра есть и 21, и 22. Скажите, пожалуйста - если я эту фирмварь просто скачаю и положу куда надо, будет ли всё работать? В любом случае - нет ли более аккуратного и изящного способа получить самую новую фирмварь (например, как-нибудь её в пакет завернуть или что-нибудь такое)? Заранее спасибо.

★★

Ну вообще их опакечивают обычно. можешь попробовать взять спек пакета для .16 и поменять в спеке пару ссылок (или как оно там, хз, у меня гента). Это будет самый нормальный путь. а то откроешь спек и вдруг там еще чего будет интересное дистроспецифичное

upcFrost ★★★★★ ()
Ответ на: комментарий от upcFrost

Пакет есть, но там именно .16. В Debian так просто сделать не вышло, но я скачал всё для сборки пакета, фирмварь отдельно, и видимо, я смогу просто добавить фирмварь внутрь и пересобрать пакет.

Norong ★★ ()
Ответ на: комментарий от Norong

Угу, я это и имел ввиду. скачай src deb для .16, изучи где там версия закладывается, подсунь нужную, пересобери. если больших изменений нет, то все просто

upcFrost ★★★★★ ()

Если ты стягиваешь исходник дебиановского пакета, то он идет в виде двух частей: Оригинальный сырец и то, что поменял там майнтейнер. Попробуй совместить новый сырец с опакеченой частью.

Cactus64k ()
Ответ на: комментарий от Cactus64k

Получилось! Добавил файл в архив, и в debian/rules.gen вписал его имя в той секции, где (как я понял) должны быть имена файлов, входящих именно в тот пакет, в котором будут прошивки iwlwifi. Пакет собрался, файл на месте. Спасибо всем!

Norong ★★ ()
Ответ на: комментарий от Cactus64k

Ещё вопрос насчёт версии. Рано или поздно выпустят новую версию этого пакета фирмварей, и тогда мне надо, чтобы при обновлении новый пакет заменил мой, самодельный. Т.е. я должен какую-то такую версию назначить своему пакету, что 20160110-1 (текущая) < моя_версия < следующая.

Не подскажешь, как этого добиться? С бэкпортами работает тильда. Как я понимаю, она просто понижает приоритет, так, что a~b < a, но тут ситуация другая.

Norong ★★ ()

Если повезет, то будет работать. На практике определенным версиям фирмваря соответствуют определенные версии драйвера, так как интерфейс между ними весьма зыбок. Не знаю, как конкретнпо у Интела, но общее правило таково.

Deleted ()
Ответ на: комментарий от Norong

Ну и назови пакет как в бэкпортах. Где то на сайте дебиана точно лежит ман по поводу названия пакетов. Помню читал его.

Нужно чтобы заменил и повторилось все опять? Если у тебя стабильный дебиан, то я тебя огорчу, завезут только в бэкпорты.

Cactus64k ()
Ответ на: комментарий от Cactus64k

С бэкпортами ситуация такая: в jessie версия 1, в stretch версия 2, бэкпорт имеет версию 2~..., тильда расположена раньше всех букв и цифр, так, что 1 < 2~ < 2. До тех пор, пока 2 не окажется в текущем релизе, 2~ круче всех. Потом 2 будет круче и будет предложено обновление.

У меня немного иначе: я не бэкпортирую, а ставлю более новую версию, чем есть. Мне нужна такая версия, что она больше текущей в Debian вообще, но будет меньше следующей, которая появится в будущем, чтобы в этом будущем прошло обновление. Только что пришла в голову мысль - в роли версии этого пакета выступает дата. Ставлю сегодняшнюю, она больше всех предыдущих, но когда выпустят новый пакет - его дата будет больше.

А использовать я буду Нестабильную ветку, поэтому вопрос версий важен.

Norong ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.